package com.fastest.pass.account.data.repository

import com.fastest.pass.account.data.remote.AccountApiService
import com.fastest.pass.account.domain.repository.AccountRepository
import com.fastest.pass.app.WebResponse
import java.util.Objects
import javax.inject.Inject

class AccountRepositoryImpl @Inject constructor(
    private val accountApiService: AccountApiService
) : AccountRepository {

    override suspend fun accountRepository(): WebResponse<Objects> {
        return accountApiService.logout()
    }
}